Skip to main content
POST
Get Payment TimeLine List

Endpoint Overview

POST https://api.unibee.dev/merchant/payment/timeline/list Get Payment TimeLine List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
amountEnd
integer<*int64>

The filter end amount of timeline

amountStart
integer<*int64>

The filter start amount of timeline

count
integer<int>

Count Of Page

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

currency
string<string>

Currency

discountCode
string<string>

Filter by exact invoice discount code (case-insensitive)

gatewayIds
integer<int64>[]

The filter ids of gateway

hasDiscountCode
boolean<*bool>

Filter by whether invoice discount_code is set

page
integer<int>

Page,Start 0

planIds
integer<int64>[]

Filter timelines whose invoice includes any of these plan IDs (OR)

planTagFilter
object
searchKey
string<string>

Search SubscriptionId|InvoiceId|PaymentId|UserId

sortField
string<string>

Sort,invoice_id|gmt_create|gmt_modify|period_end|total_amount,Default gmt_modify

sortType
string<string>

Sort Type,asc|desc,Default desc

status
integer<int>[]

The filter status, 0-pending, 1-success, 2-failure,3-cancel

timelineTypes
integer<int>[]

The filter timelineType, 0-pay, 1-refund

userId
integer<int64>

Filter UserId, Default All

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>